function load_config_hook;

[config_file,path_name]=uigetfile('*.m','Choose a configuration file...');
if config_file~=0,
        old=pwd;
        cd(path_name);
        eval(config_file(1:end-2));
        cd(old);
	
	clear old config_file path_name;
	
	list=whos;
	
	params = get(gcf,'UserData');

	for i=1:size(list,1),
		eval(['params.' list{i}.name '=' list{i}.name ';']);
	end
	
	redraw_hook(1);
	
end
